# -*- coding: utf-8; -*-

from tests.views.utils import WebTestCase

from wuttaweb.views import settings


class TestAppInfoView(WebTestCase):

    def make_view(self):
        return settings.AppInfoView(self.request)

    def test_index(self):
        # sanity/coverage check
        view = self.make_view()
        response = view.index()

    def test_configure_get_simple_settings(self):
        # sanity/coverage check
        view = self.make_view()
        simple = view.configure_get_simple_settings()

    def test_configure_get_context(self):
        # sanity/coverage check
        view = self.make_view()
        context = view.configure_get_context()


class TestSettingView(WebTestCase):

    def make_view(self):
        return settings.SettingView(self.request)

    def test_index_get_grid_data(self):

        # empty data by default
        view = self.make_view()
        data = view.index_get_grid_data(session=self.session)
        self.assertEqual(len(data), 0)

        # unless we save some settings
        self.app.save_setting(self.session, 'foo', 'bar')
        self.session.commit()
        data = view.index_get_grid_data(session=self.session)
        self.assertEqual(len(data), 1)
